Summary:	Cpugraph plugins for Xfce desktop
Summary(de):	Cpugraph Erweiterungen für den Xfce-Desktop
Name:		xfce4-cpugraph-plugin
Version:	1.0.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-cpugraph-plugin/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRequires:  xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfce4ui-devel 
BuildRequires:	libxfce4util-devel
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-cpugraph-plugin
Obsoletes:	xfce4-cpugraph-plugin < 0.0.1-6
Provides:	xfce4-cpugraph-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version


%description
cpu graph plugin for the Xfce Desktop Environment. It provides a
simple system for managing the graph of the CPU.

#german
%description -l de
CPU Freq-Plugin für die Xfce Desktop Environment. Es bietet ein 
einfaches System für die Verwaltung der Frequenz der CPU.

#french
%description -l fr
cpu graph plugin pour l'environnement de bureau Xfce. Il fournit une
simple système pour gérer la fréquence du CPU.

#spanish
%description -l es
plugin CPU FREQ para el entorno de escritorio Xfce. Proporciona una
sistema simple de gestión de la frecuencia de la CPU.

#polish
%description -l pl
cpu graph plugin for the Xfce Desktop Environment. It provides a
simple system for managing the graph of the CPU.

#serbian
%description -l sr
ЦПУ уестаности плугин за Ксфце Десктоп окружење. Она пружа 
једноставан систем за управљање фреквенцију процесора.

#dutch
%description -l nl
cpu graph plugin voor de Xfce Desktop Environment. Het biedt een 
eenvoudig systeem voor het beheer van de graph van de CPU.

%prep
%setup -qn xfce4-cpugraph-plugin-%{version}

#./autogen.sh --prefix=/usr 

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#Fix desktop file
perl -pi -e "s|libexec|lib|" $RPM_BUILD_ROOT%{_datadir}/xfce4/panel/plugins/*.desktop




%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/locale/*
%{_datadir}/icons/*


%changelog
* Tue Jun 06 2017 threepio <threepio> 1.0.5-2uplos2017
- rebuild for uplos

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.5-2pclos2015
- rebuild against new libxfce4util7
- replace libxfcegui4-devel by libxfce4ui-devel
- add missing BR libxfce4util-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.0.5-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.0.5-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.5-1pclos2012
- 1.0.5
- added/fixed german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.1-3pclos2012
- rebuild

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 1.0.1-2pclos2011
- fix desktop file

* Thu Feb 24 2011 Sproggy <desproggster@gmail.com> 1.0.1-1pclos2011
- updated 1.0.1

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 1.0.0-1pclos2011
- updated for xfce4.8

* Sun Nov 14 2010 Sproggy <desproggster@gmail.com> 1.0.0-1pclos2010
- 1.0.0 update for xfce4.8pre1

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 0.0.1-2
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 0.0.1-pclos2007
- create
